# DataExchange
TKXCAF
XCAFApp

# XCAFApp_Application Class Reference

Implements an Application for the DECAF documents
.

`#include <XCAFApp_Application.hxx>`

## Public Member Functions

virtual Standard_EXPORT void | Formats (TColStd_SequenceOfExtendedString &Formats)
virtual Standard_EXPORT Standard_CString | ResourcesName ()
| methods from TDocStd_Application ================================
virtual Standard_EXPORT void | InitDocument (const Handle(TDocStd_Document)&aDoc) const
| Set XCAFDoc_DocumentTool attribute .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Handle_XCAFApp_Application | GetApplication ()
| Initializes (for the first time) and returns the static object (XCAFApp_Application) This is the only valid method to get XCAFApp_Application object, and it should be called at least once before any actions with documents in order to init application .

## Private Member Functions

Standard_EXPORT | XCAFApp_Application ()
| methods from CDF_Application ============================

## Constructor & Destructor Documentation

Standard_EXPORT XCAFApp_Application::XCAFApp_Application | ( |  | ) | `[private]`

## Member Function Documentation

virtual Standard_EXPORT void XCAFApp_Application::Formats | ( | TColStd_SequenceOfExtendedString & | Formats | ) | `[virtual]`

static Standard_EXPORT Handle_XCAFApp_Application XCAFApp_Application::GetApplication | ( |  | ) | `[static]`

Standard_EXPORT const XCAFApp_Application::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void XCAFApp_Application::InitDocument | ( | const Handle(TDocStd_Document)& | aDoc | ) | const`[virtual]`

virtual Standard_EXPORT Standard_CString XCAFApp_Application::ResourcesName | ( |  | ) | `[virtual]`

The documentation for this class was generated from the following file:

- XCAFApp_Application.hxx